Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkDescriptionElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<Description>
                  org.semanticweb.owlapi.owllink.parser.OWLlinkDescriptionElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<Description>, OWLlinkResponseElementHandler<Description>

    public class OWLlinkDescriptionElementHandler

extends AbstractOWLlinkResponseElementHandler<Description>

Created by IntelliJ IDEA. User: noppens Date: 21.10.2009 Time: 17:47:55 To change this template use File | Settings | File Templates.

Constructor Summary
`OWLlinkDescriptionElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`void` | `endElement()`
`Description` | `getOWLLinkObject()`
`void` | `handleChild(OWLlinkPropertyElementHandler handler)`
`void` | `handleChild(OWLlinkProtocolVersionElementHandler handler)`
`void` | `handleChild(OWLlinkPublicKBElementHandler handler)`
`void` | `handleChild(OWLlinkReasonerVersionElementHandler handler)`
`void` | `handleChild(OWLlinkSettingElementHandler handler)`
`void` | `handleChild(OWLlinkSupportedExtensionElemenetHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkDescriptionElementHandler

    public OWLlinkDescriptionElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Overrides:
    `endElement` in class `AbstractOWLlinkResponseElementHandler<Description>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkSettingElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Description>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Description>`

### handleChild

    public void handleChild(OWLlinkPropertyElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Description>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Description>`

### handleChild

    public void handleChild(OWLlinkPublicKBElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Description>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Description>`

### handleChild

    public void handleChild(OWLlinkSupportedExtensionElemenetHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Description>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Description>`

### handleChild

    public void handleChild(OWLlinkReasonerVersionElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Description>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Description>`

### handleChild

    public void handleChild(OWLlinkProtocolVersionElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<Description>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<Description>`

### getOWLLinkObject

    public Description getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<Description>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<Description>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD